# Uses of Interface
com.sun.jdi.request.MethodEntryRequest

Packages that use MethodEntryRequest
Package
Description
com.sun.jdi.request
This package is used to request that a JDI event be sent under specified conditions.

## Uses of MethodEntryRequest in com.sun.jdi.request

Methods in com.sun.jdi.request that return MethodEntryRequest
Modifier and Type
Method
Description
`MethodEntryRequest`
EventRequestManager.`createMethodEntryRequest()`
Creates a new disabled `MethodEntryRequest`.
Methods in com.sun.jdi.request that return types with arguments of type MethodEntryRequest
Modifier and Type
Method
Description
`List<MethodEntryRequest>`
EventRequestManager.`methodEntryRequests()`
Return an unmodifiable list of the enabled and disabled method entry requests.